Skip to main content
GET
/
v1
/
balances
List Balances
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v1/balances \
  --header 'x-auth-token: <api-key>'
{
  "total_pages": 10,
  "total_items": 105,
  "data": [
    {
      "balance_id": "72970a7c-7921-431c-b95f-3438724ba16f",
      "currency": "USD",
      "available_balance": "5000.25",
      "prepaid_balance": "3600.12",
      "margin_balance": "10000.00",
      "frozen_balance": "2353.25",
      "create_time": "2024-03-01T00:00:00+08:00",
      "last_trade_time": "2024-03-21T17:17:32+08:00",
      "balance_status": "ACTIVE"
    }
  ]
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

Query Parameters

page_size
integer
required

The maximum number of items to return per page. Must be between 10 and 100, inclusive.

Required range: 1 <= x <= 100
Example:

10

page_number
integer
required

The page number to retrieve a specific set of items. Must be 1 or greater.

Required range: x >= 1
Example:

1

Response

OK - Balances returned successfully.

total_pages
integer

The total number of pages of available items.

Example:

10

total_items
integer

The total counts of available items.

Example:

105

data
object[]